search cancel

SaaS NGINX monitor STARTUP ERROR: ngx_http_ca_apm_agent_module.so is not binary compatible

book

Article ID: 216803

calendar_today

Updated On:

Products

CA Application Performance Management (APM / Wily / Introscope)

Issue/Introduction

After enabling the NGINX monitor we see the below error reported by NGINX


STARTUP ERROR:

2021/05/10 13:44:54 [emerg] 1#0: module "/opt/rh/rh-nginx118/root/usr/lib64/nginx/modules/ngx_http_ca_apm_agent_module.so" is not binary compatible in /opt/rh/rh-nginx118/root/usr/share/nginx/modules/ca-apm.conf:1
nginx: [emerg] module "/opt/rh/rh-nginx118/root/usr/lib64/nginx/modules/ngx_http_ca_apm_agent_module.so" is not binary compatible in /opt/rh/rh-nginx118/root/usr/share/nginx/modules/ca-apm.conf:1

 

Environment

APM SaaS

Cause

nginx monitor is not yet supported with rh8, see defect # DE502619

Resolution

This is currently an enhancement. 

For RH8, there is a test fix available from defect #DE502619, contact Broadcom Support to obtain a copy

 

 

Additional Information

https://techdocs.broadcom.com/us/en/ca-enterprise-software/it-operations-management/dx-apm-saas/SaaS/implementing-agents/infrastructure-agent/nginx-monitoring.html